Subject: bug#45898: 27.1; wedged in redisplay again

From: Gerd Möllmann <[email-masked]>
Date: Fri, 1 Jul 2022 13:44:26 +0200

> On 2022-07-01,, at 8:04 , Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Gerd Möllmann <[email-masked]>
>> Would it be possible to run this with gprof profiling?  I think that could give some clues what is going on.
> 
> Or (on GNU/Linux only) under 'prof' -- which doesn't require you to
> build a special version of Emacs, and still produces detailed CPU
> usage info.

I have medium_line.json now, and I see slowness (with truncate-lines nil and font-lock), after finding the file and doing random things.

Is it sufficient to do just that for some time while tracing?  Do we have some Lisp code to automated this, and make it more reproducible?  Or, even, should be do truncate-line t first, and without font-lock?

(Did someone else observe it being fast at first, and then later slowing down?)